package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class AsKepKategoryKajian
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "AsKepKategoryKajian_M")
public class AsKepKategoryKajianVO extends BaseMasterVO {
	@Caption(value="Kategory Kajian")
	private String kategoryKajian;

	public void setKategoryKajian(String kategoryKajian) {
		this.kategoryKajian = kategoryKajian;
	}

	@Column(name = "KategoryKajian", nullable = false , length = 50)
	public String getKategoryKajian(){
		return this.kategoryKajian;
	}

	@Caption(value="Kode Kategory Kajian")
	private Byte kdKategoryKajian;

	@Column(name = "KdKategoryKajian", nullable = false )
	public Byte getKdKategoryKajian() {
		return kdKategoryKajian;
	}

	public void setKdKategoryKajian(Byte kdKategoryKajian) {
		this.kdKategoryKajian = kdKategoryKajian;
	}

	@Caption(value="QKategory Kajian")
	private Byte qKategoryKajian;

	public Byte getqKategoryKajian() {
		return qKategoryKajian;
	}

	public void setqKategoryKajian(Byte qKategoryKajian) {
		this.qKategoryKajian = qKategoryKajian;
	}


/*	//
	@OneToMany(fetch=FetchType.LAZY, cascade = CascadeType.ALL, mappedBy="kdkategorykajian")
	private Set<AsKepKajian> AsKepKajianSet = new HashSet<AsKepKajian>();

	public Set<AsKepKajian> getAsKepKajianSet() {
		return AsKepKajianSet;
	}

	public void setAsKepKajianSet(Set<AsKepKajian> asKepKajianSet) {
		AsKepKajianSet = asKepKajianSet;
	}*/


}

